Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext
Version: 0.14.1
Release: 4tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/gettext-%{version}.tar.gz
Patch: gettext-0.14.1-tempfile.patch
Buildroot: /var/tmp/gettext-root

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs.  Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings.  Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

If you would like to internationalize or incorporate multi-lingual
messages into programs that you're developing, you should install
gettext.

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --with-included-gettext \
        --mandir=$RPM_BUILD_ROOT/%{_mandir} %{_target_platform}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

# Fix busted no-emacs install for $lispdir/po-mode.el
make install \
	prefix=$RPM_BUILD_ROOT/usr

pushd $RPM_BUILD_ROOT
rm -f ./usr/share/info/dir ./usr/include/libintl.h
strip ./usr/bin/* || :
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
%doc %{_mandir}/*/*
/usr/share/gettext
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/aclocal/*
%{_libdir}/libintl.*
%{_libdir}/libgettextlib*
%{_libdir}/libgettextsrc*
%{_libdir}/gettext/hostname
%{_libdir}/gettext/urlget
%{_libdir}/gettext/user-email
%{_libdir}/gettext/project-id

%changelog
* Wed Sep 29 2004 Oystein Viggen <oysteivi at trustix dot com>
- Patch tempfile issue 

* Sat Feb  7 2004 Omar Kilani <ok at trustix dot org> 0.14.1-1ok
- New upstream.

* Sun Jan 25 2004 Erlend Midttun <erlendbm at trustix dot org> 0.13.1-1tr
- New upstream.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot com> 0.13-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.11.5-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.11.5-2em
- Rebuilt against glibc 2.3.2.

* Tue Sep 11 2002 Gerald Dachs <gda at trustix dot org> 0.11.5-1gd
- new version 0.11.5

* Mon Sep 10 2002 Gerald Dachs <gda at trustix dot org> 0.11.4-1gd
- new version 0.11.4

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Fixed preun to only delete info-files if not upgrading.

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved info files to /usr/share/info, FHS

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
